%global realname pycollada
%global pypi_name %{realname}

Name:           python-collada
Version:        0.8
Release:        %mkrel 3
Summary:        A python module for creating, editing and loading COLLADA
Group:          Development/Python

License:        BSD
URL:            https://github.com/pycollada/pycollada/
# Sources from pypi doesn't contain data files for tests
Source0:        https://github.com/pycollada/pycollada/archive/v%{version}/%{realname}-%{version}.tar.gz
# Disable pypi downloads in setup.py to guarantee use of only system libs
# Patch0:         python-collada-0.4-disable_unittest_downloads.patch
BuildArch:      noarch

%description
pycollada is a python module for creating, editing and loading COLLADA, which
is a COLLAborative Design Activity for establishing an interchange file format
for interactive 3D applications.

The library allows you to load a COLLADA file and interact with it as a python
object. In addition, it supports creating a collada python object from scratch,
as well as in-place editing.


%package -n     python3-collada
Summary:        A python 3 module for creating, editing and loading COLLADA
Group:          Development/Python
BuildRequires:  python3-devel

%description -n python3-collada
pycollada is a python 3 module for creating, editing and loading COLLADA, which
is a COLLAborative Design Activity for establishing an interchange file format
for interactive 3D applications.

The library allows you to load a COLLADA file and interact with it as a python
object. In addition, it supports creating a collada python object from scratch,
as well as in-place editing.


%prep
%setup -q -n %{realname}-%{version}
%autopatch -p1

sed -i "s|tostring|tobytes|g" collada/material.py

%generate_buildrequires
%pyproject_buildrequires -t

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files collada

%check
export PYTHONTRACEMALLOC=1
%tox

%files -n python3-collada -f %{pyproject_files}


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 0.8-3.mga10
+ Revision: 2240861
- Mageia 10 Mass Rebuild

* Sun Mar 02 2025 wally <wally> 0.8-2.mga10
+ Revision: 2158098
- rebuild for python3.13

* Tue Feb 20 2024 papoteur <papoteur> 0.8-1.mga10
+ Revision: 2042634
- new version 0.8

* Mon Mar 28 2022 umeabot <umeabot> 0.7.2-3.mga9
+ Revision: 1829594
- Mageia 9 Mass Rebuild

* Sat Feb 26 2022 mrambo3501 <mrambo3501> 0.7.2-2.mga9
+ Revision: 1785534
- remove unneeded BR unittest2
- rebuild for python-3.10

* Wed Feb 02 2022 mrambo3501 <mrambo3501> 0.7.2-1.mga9
+ Revision: 1771114
- version 0.7.2
- delete Patch1 applied upstream

* Sat Aug 28 2021 wally <wally> 0.7.1-1.mga9
+ Revision: 1743096
- new version 0.7.1

* Sat Jun 26 2021 wally <wally> 0.6.0-4.mga9
+ Revision: 1732772
- Rebuild for python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 0.6.0-3.mga8
+ Revision: 1535543
- Mageia 8 Mass Rebuild

* Sat Oct 12 2019 tv <tv> 0.6.0-2.mga8
+ Revision: 1452151
- rebuild for python-3.8
- drop python2 subpkg

* Tue Jan 08 2019 shlomif <shlomif> 0.6.0-1.mga7
+ Revision: 1352257
- Rebuild for python3 3.7

* Thu Sep 20 2018 umeabot <umeabot> 0.4.0-8.mga7
+ Revision: 1288430
- Mageia 7 Mass Rebuild

* Sun Apr 15 2018 daviddavid <daviddavid> 0.4.0-7.mga7
+ Revision: 1218837
- rename python-collada to python2-collada
- add the python3 subpackage
- use new python provides/macros

* Tue Feb 09 2016 umeabot <umeabot> 0.4.0-6.mga6
+ Revision: 952017
- Mageia 6 Mass Rebuild

* Tue Jan 13 2015 shlomif <shlomif> 0.4.0-5.mga5
+ Revision: 810307
- Remove trailing space
- Importing python-collada (thanks to Richard Houser)


* Sat Dec 20 2014 Rick Houser <rick@divinesymphony.net> - 0.4.0-5
- Ported from Fedora 17 (python-collada 0.4-3) to Mageia 3.
- Original packageing credit goes to Richard Shaw and John Morris
